Skip to main content

Get payment method list v2

POST /papi/v2/ramp/connect/sell/payment-method-list

Request Body​

FieldTypeMandatoryRemarks
languagestringNoLanguage code, which determines the multi-language of the content(if any, such as "payment method name") in the response data. If not passed, English is the default. The format is "LanguageCode-RegionCode", RegionCode is optional.

Response Body​

Data: PaymentMethodV2Object array​
FieldTypeRemarks
fiatCurrencystringFiat currency
paymentMethodsobject arrayPayment method details. Refer to PaymentMethodV2DetailObject
PaymentMethodV2DetailObject​
FieldTypeRemarks
payMethodCodestringpayment method code
payMethodSubCodestringpayment method sub code
paymentMethodstringpayment method display name
p2pboolIndicate whether the payment method belongs to Binance P2P

Example​

Request Parameters:

{
"language": "zh-CN"
}

Response:

{
"success": true,
"code": "000000",
"message": "success",
"data": [
{
"fiat": "AED",
"paymentMethods": [
{
"paymentMethodCode": "SELL_APPLE_PAY",
"channelCode": "APPLE_PAY",
"paymentMethod": "Apple Pay (VISA)",
"p2p": false
},
{
"paymentMethodCode": "SELL_P2P",
"channelCode": "BANK",
"paymentMethod": "Bank",
"p2p": true
},
{
"paymentMethodCode": "SELL_P2P",
"channelCode": "Paypal",
"paymentMethod": "PayPal",
"p2p": true
}
]
},
{
"fiat": "EUR",
"paymentMethods": [
{
"paymentMethodCode": "SELL_WALLET",
"channelCode": "Wallet",
"paymentMethod": "Spot Wallet",
"p2p": false
},
{
"paymentMethodCode": "SELL_CARD",
"channelCode": "card",
"paymentMethod": "Card (VISA/Mastercard)",
"p2p": false
},
{
"paymentMethodCode": "SELL_P2P",
"channelCode": "SEPA",
"paymentMethod": "SEPA (EU) bank transfer",
"p2p": true
}
]
},
{
"fiat": "CNY",
"paymentMethods": [
{
"paymentMethodCode": "SELL_P2P",
"channelCode": "ALIPAY",
"paymentMethod": "Alipay English",
"p2p": true
},
{
"paymentMethodCode": "SELL_P2P",
"channelCode": "BANK",
"paymentMethod": "Bank",
"p2p": true
},
{
"paymentMethodCode": "SELL_P2P",
"channelCode": "WECHAT",
"paymentMethod": "WeChat",
"p2p": true
}
]
}
]
}
About payment method "SELL_WALLET"​

"SELL_WALLET" is a special payment method that allows users to sell crypto for fiat currency balances in their Binance wallets.

For example, in some countries or regions, Binance supports users to deposit and withdraw fiat currencies (such as euro - EUR) directly. At this time, users can sell crypto for EUR (in Binance wallet). We call this payment method as "SELL_WALLET".